Get lineage information

API to fetch lineage information for objects. These paths are the links from the nearest sources and target objects in their lineage graph. Note: Objects not existing in Alation will have is_temp = True. Supported otypes are Table , Column/Attribute, BIDatasource, BIDatasourceColumn, BIReport, BIReportColumn, File, Directory, External and Dataflow.

Query Params
string
enum
required
Defaults to table

otype of the object

string
required

The id of the object or the unique key of object. eg: If the keyField is id then oid is an integer oid=1, and if the keyField is a key then oid is the unique identifier of the object. Example of oid as key:

  • <ds_id>.[<dbname>/<catalog_name>.]<schema>.<table> for otype table
  • <ds_id>.[<dbname>/<catalog_name>.]<schema>.<table>.<column> for otype
    column/attribute
  • <bi_server_id>.bi_report.<unique identifier of bi_report on the server> for
    otype bi_report
  • <bi_server_id>.bi_report_column.<unique identifier of bi_report_column on the
    server> for otype bi_report_column
  • <bi_server_id>.bi_datasource.<unique identifier of bi_datasource on the server>
    for otype bi_datasource
  • <bi_server_id>.bi_datasource_column.<unique identifier of bi_datasource_column on
    the server> for otype bi_datasource_column
  • <filesystem_id>.<full path of a file delimited by '/'> for otype file
  • <filesystem_id>.<full path of a directory delimited by '/'> for otype directory
  • <unique identifier/name of external object> for otype external

Note: file, directory and external otype only allow key as keyField parameter. Other otypes support both id and key as the keyField parameter.

string
enum
required
Defaults to id

Field to identify the query parameter oid, is of type id or key.

Allowed:
boolean
Defaults to false

Optional flag that controls whether lineage results include child objects. - When true: Only the lineage of the specified object type (otype) is returned. - When false (default): Lineage for both the object and its child entities is included. Prerequisites: This flag is only effective when both of the following feature flags are enabled: - lineage-service.dataflow_migration.run_successfully - lineage-service.features.enable_new_get_lineage_public_api_impl Availability: This feature is supported starting from version 2025.3.1 (September 2025) and later."

Responses

Language
Credentials
Header
URL
Response
Choose an example:
application/json